pike.git / src / cpp.cmod

version» Context lines:

pike.git/src/cpp.cmod:3538:    /* These attempt to be compatible with the C standard. */    do_magic_define(&this,"__LINE__",insert_current_line);    do_magic_define(&this,"__FILE__",insert_current_file_as_string);    do_magic_define(&this,"__DATE__",insert_current_date_as_string);    do_magic_define(&this,"__TIME__",insert_current_time_as_string);       /* These are from the 201x C standard. */    do_magic_define(&this,"_Pragma",insert_pragma)->args = 1;    simple_add_define(&this, "static_assert", "_Static_assert");    +  simple_add_define(&this, "__ARGS__", "__args__"); +     do_magic_define(&this,"__COUNTER__",insert_current_counter);       /* These are Pike extensions. */    do_magic_define(&this,"__DIR__",insert_current_dir_as_string);    do_magic_define(&this,"__VERSION__",insert_current_version);    do_magic_define(&this,"__MAJOR__",insert_current_major);    do_magic_define(&this,"__MINOR__",insert_current_minor);       {   #if 0